import 'package:angular_components/model/selection/select.dart';
import 'package:angular_components/model/selection/string_selection_options.dart';

/// Default [StringSelectionOptions] that implements [Selectable]/
class ComputedStateSelectionOptions<T> extends StringSelectionOptions<T>
    implements Selectable {
  /// Constructor with call to super.
  ComputedStateSelectionOptions(List<T> computedStates)
      : super(computedStates,
            toFilterableString: (computedState) => computedState.toString());

  @override
  SelectableOption getSelectable(Object item) => SelectableOption.Selectable;
}
